### Function

# GLib List find

#### Declaration [src]

    GList*
    g_list_find (
      GList* list,
      gconstpointer data
    )

#### Description [src]

Finds the element in a `GList` which contains the given data.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GList`, this must point to the top of the list.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  The element data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The found `GList` element, or `NULL` if it is not found.

The data is owned by the called function.